ngfd-plugin: _NSinkInterfaceDecl Struct Reference

ngfd-plugin

Public Attributes | List of all members
_NSinkInterfaceDecl Struct Reference

Interface declaration structure. More...

`#include <sinkinterface.h>`

## Public Attributes
const char * | name
| Name of the interface.
const char * | type
| Type of the interface.
int(* | initialize )(NSinkInterface *iface)
| Initialization function.
void(* | shutdown )(NSinkInterface *iface)
| Shutdown function.
int(* | can_handle )(NSinkInterface *iface, NRequest *request)
| Can_handle function.
int(* | prepare )(NSinkInterface *iface, NRequest *request)
| Prepare function.
int(* | play )(NSinkInterface *iface, NRequest *request)
| Play function.
int(* | pause )(NSinkInterface *iface, NRequest *request)
| Pause function.
void(* | stop )(NSinkInterface *iface, NRequest *request)
| Stop function.

## Detailed Description

Interface declaration structure.

## Member Data Documentation

## ◆ can_handle

int(* _NSinkInterfaceDecl::can_handle) (NSinkInterface *iface, NRequest *request)

Can_handle function.

This function is called to determinate can this interface handle requested event.

Parameters

  iface | NSinkInterface structure
  request | Request to be handled

Returns
  TRUE if interface can handle the request

## ◆ initialize

int(* _NSinkInterfaceDecl::initialize) (NSinkInterface *iface)

Initialization function.

Called when interface is loaded.

Parameters

  iface | NSinkInterface structure

Returns
  TRUE if success

## ◆ name

const char* _NSinkInterfaceDecl::name

Name of the interface.

## ◆ pause

int(* _NSinkInterfaceDecl::pause) (NSinkInterface *iface, NRequest *request)

Pause function.

This function is when interface is requested to pause playback of the request.

Parameters

  iface | NSinkInterface structure
  request | Request

Returns
  TRUE if playback is paused successfully

## ◆ play

int(* _NSinkInterfaceDecl::play) (NSinkInterface *iface, NRequest *request)

Play function.

This function is when interface is requested to start playback of the request.

Parameters

  iface | NSinkInterface structure
  request | Request

Returns
  TRUE if playback is started

## ◆ prepare

int(* _NSinkInterfaceDecl::prepare) (NSinkInterface *iface, NRequest *request)

Prepare function.

This function is when interface is requested to ready itself to play the request.

Parameters

  iface | NSinkInterface structure
  request | Request

Returns
  TRUE if prepare succeeds

## ◆ shutdown

void(* _NSinkInterfaceDecl::shutdown) (NSinkInterface *iface)

Shutdown function.

Called when interface is removed.

Parameters

  iface | NSinkInterface structure

## ◆ stop

void(* _NSinkInterfaceDecl::stop) (NSinkInterface *iface, NRequest *request)

Stop function.

This function is when interface is requested to stop playback of the request.

Parameters

  iface | NSinkInterface structure
  request | Request

Returns
  TRUE if playback is stopped

## ◆ type

const char* _NSinkInterfaceDecl::type

Type of the interface.

Common types are defined as macros.

The documentation for this struct was generated from the following file:

- /build/ngfd/src/ngfd-1.4.1/src/include/ngf/sinkinterface.h